@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row">
        <div class="col-md-10 col-md-offset-1">
            <div class="panel panel-default">
                <div class="panel-heading">Photo <?php echo $photo->id; ?></div>

                <div class="panel-body">
                   <div class="col-md-2"><img src="/thumbnail/<?php echo $photo->id; ?>" width="200px"></div>
                   <div class="col-md-10">
                      <div class="dl-horizontal">
                         <dt>Filename</dt><dd><?php echo $photo->file_path(TRUE); ?></dd>
                         <?php if ($photo->shouldMove()) : ?>
                           <dt>NEW Filename</dt><dd><?php echo $photo->file_path(TRUE,TRUE); ?></dd>
                         <?php endif ?>
                         <br/>
                         <dt>Date Taken</dt><dd><?php echo $photo->date_taken(); ?></dd>
                         <dt>Camera</dt><dd><?php echo $photo->make; ?></dd>
                         <dt>Model</dt><dd><?php echo $photo->model; ?></dd>
                         <br/>
                         <dt>Location</dt><dd>
                         <?php if ($photo->gps() == 'UNKNOWN') : ?>
                             UNKNOWN
                         <?php else : ?>
                            <div id="map" style="width: 400px; height: 300px"></div>
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
<script type="text/javascript"> 
  var myLatLng = {lat: <?php echo $photo->gps_lat; ?>, lng: <?php echo $photo->gps_lon; ?>};
  var map = new google.maps.Map(document.getElementById("map"), {
    zoom: 16,
    center: myLatLng,
    mapTypeId: google.maps.MapTypeId.ROADMAP
  });
  var marker = new google.maps.Marker({
    map: map,
    position: myLatLng,
  });
</script> 
                      <?php endif ?>
                         </dd>
                      </div>
                   </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
